SET(IPOPT_ALGORITHM_C_SOURCES 
    ${IPOPT_SRCDIR}/Algorithm/IpAdaptiveMuUpdate.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpAlgBuilder.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpAlgorithmRegOp.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpAugRestoSystemSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpBacktrackingLineSearch.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpDefaultIterateInitializer.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpEquilibrationScaling.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpExactHessianUpdater.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpFilterLSAcceptor.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpFilter.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpGenAugSystemSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpGradientScaling.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpIpoptAlg.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpIpoptCalculatedQuantities.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpIpoptData.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpIteratesVector.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpLeastSquareMults.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpLimMemQuasiNewtonUpdater.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpLoqoMuOracle.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpLowRankAugSystemSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpLowRankSSAugSystemSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpMonotoneMuUpdate.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpNLPBoundsRemover.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpNLPScaling.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpOptErrorConvCheck.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpOrigIpoptNLP.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpOrigIterationOutput.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpPDFullSpaceSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpPDPerturbationHandler.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpPDSearchDirCalc.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpPenaltyLSAcceptor.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpProbingMuOracle.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpQualityFunctionMuOracle.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoConvCheck.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoFilterConvCheck.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoIpoptNLP.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoIterateInitializer.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoIterationOutput.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoMinC_1Nrm.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoPenaltyConvCheck.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoRestoPhase.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpStdAugSystemSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpTimingStatistics.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpUserScaling.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpWarmStartIterateInitializer.cpp
    )

SET(IPOPT_ALGORITHM_C_HEADER
 ${IPOPT_SRCDIR}/Algorithm/IpAdaptiveMuUpdate.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpAlgBuilder.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpAlgorithmRegOp.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpAlgStrategy.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpAugRestoSystemSolver.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpAugSystemSolver.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpBacktrackingLineSearch.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpBacktrackingLSAcceptor.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpConvCheck.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpDefaultIterateInitializer.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpEqMultCalculator.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpEquilibrationScaling.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpExactHessianUpdater.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpFilter.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpFilterLSAcceptor.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpGenAugSystemSolver.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpGradientScaling.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpHessianUpdater.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpIpoptAlg.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpIpoptCalculatedQuantities.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpIpoptData.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpIpoptNLP.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpIterateInitializer.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpIteratesVector.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpIterationOutput.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpLeastSquareMults.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpLimMemQuasiNewtonUpdater.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpLineSearch.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpLoqoMuOracle.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpLowRankAugSystemSolver.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpLowRankSSAugSystemSolver.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpMonotoneMuUpdate.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpMuOracle.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpMuUpdate.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpNLPBoundsRemover.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpNLPScaling.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpOptErrorConvCheck.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpOrigIpoptNLP.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpOrigIterationOutput.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpPDFullSpaceSolver.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpPDPerturbationHandler.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpPDSearchDirCalc.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpPDSystemSolver.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpPenaltyLSAcceptor.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpProbingMuOracle.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpQualityFunctionMuOracle.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpRestoConvCheck.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpRestoFilterConvCheck.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpRestoIpoptNLP.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpRestoIterateInitializer.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpRestoIterationOutput.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpRestoMinC_1Nrm.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpRestoPenaltyConvCheck.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpRestoPhase.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpRestoRestoPhase.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpSearchDirCalculator.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpStdAugSystemSolver.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpTimingStatistics.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpUserScaling.hpp
 ${IPOPT_SRCDIR}/Algorithm/IpWarmStartIterateInitializer.hpp
)
